package com.wall.photography.picture.environment.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "0010352AA641462D65A2B02050D47212"
        const val TOP_ON_AD_TOW = "0D33D11E182C3FBF8F7DB6BC84CD1312"
        const val TOP_ON_AD_THREE = "ECA0F6C0B3B407E78D5BCAD9483AA112"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}